Архивировано

Эта тема находится в архиве и закрыта для публикации сообщений.

Mr. Peabody

Видеоинструкция по настройке VPN в Ubuntu, Kubuntu

Рекомендованные сообщения

и заменил c1Кодec1sudo sh ~/vpn_prj/vpn.shc2ec2 на c1Кодec1cd /home/boow/vpn_prjc2ec2затем в консоли c1Кодec1./vpn.sh

 

Странно, вообще-то это одно и то же))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Странно, вообще-то это одно и то же))

 

Уважаемый.

Помоги пожалуйста разобраться с VLC.

Запустил нормально. Но возникают следующие поблемы:

1. Квакает и изображение периодически "сыпится". Увеличение Задержки ничего не дает. Но это в основном на 1 канале. Другие каналы, когда получше, когда похуже. Теряются пакеты что ли?

2. Бывает что VLC сам по себе закрывается. Потом приходится заново открывать файл с каналами. Можно ли как то заложить его один раз и навсегда?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Уважаемый. Помоги пожалуйста разобраться с VLC. Запустил нормально. Но возникают следующие поблемы:1. Квакает и изображение периодически "сыпится". Увеличение Задержки ничего не дает. Но это в основном на 1 канале. Другие каналы, когда получше, когда похуже. Теряются пакеты что ли?2. Бывает что VLC сам по себе закрывается. Потом приходится заново открывать файл с каналами. Можно ли как то заложить его один раз и навсегда?

 

Насчёт сыпятся - это уже к корбине вопрос)) По поводу плейлистов тоже) Я запускаю не его а плейлист когда ТВ смотрю, так что открывание файла не беспокоит) Да и VLC ни разу не падал)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

. Потом приходится заново открывать файл с каналами. Можно ли как то заложить его один раз и навсегда?

некоторые каналы действительно его валят.

но вот такая команда помогает (только путь поправь)

vlc /home/vladimir/Arhiv/210/210.m3u (vlc сразу грузит плейлист и включает 1 канал в списке )

и еще иногда проблем бывает в том, что меняется ip, а настройках vlc (расширенные параметры) - вывод потока - модули вывода - интерфейс вывода IP4v multicust забит старый адрес (но в этом случае будет листать и выдавать ошибку по всем каналам )

 

Насчёт сыпятся - это уже к корбине вопрос))

к корбине вопросов нет - она нам этой услугой не обязана B) (в договоре с ней всё написано)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Mr. Peabody спасибо за помошь и за терпения!!! спокойные люди всегда ценятся!

У меня все работает и пашет! с первого раза!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Mr. Peabody, роуты до homefilms теперь не нужны, но нужны роуты до filmszone.ru ;)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Принял, ща подредактю)) Кстати, ща полазил по форуму, сейчас filmszone.ru тоже в отключке, причем неизвестно когда включат. Так что пока жду)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

я прошу прощения за глупый вопрос... он не в тему настройки впн.

 

просто я случайно (правда случайно :( ) удалила значок проводного подключения. добавила (вроде как обратно) на панель значок сети, но там отображается только eth0, нету в свойствах настройки впн :(

 

я не могу зайти в интернет.

что делать, подскажите.

 

ubuntu 8.04. настраивала через нетворк манагер (в 7.10).

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

melone,

думаю лучше все-таки использовать скрипт, сейчас вот Mr.Peabody выложит подправленную версию и пользуйся :-)

 

Mr.В Peabody, напомни плз какой там из роутов до мегафилмсов был, а то они у меня без комментариев. Вроде тот что на 78. начинается?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

frd, 78.107.69.98 mask 255.255.255.255 )) Версию пока оставлю, т.к. там какая-то путаница, и непонятно, будет ли хомефилмс или типа того работать вообще)

 

melone, Я действительно рекомендую сделать по моей инструкции. Нетворк-манагер - глюк на глюке. Да и проще будет)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

sudo pon corbina дозванивается через раз, звоню дайлером.. во всяком случае он пишет что происходит..

 

сайты вроде грузятся, а вот адепт не хочет качать вообще ничего =\

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

В инструкции чётко написано как и что нужно делать. Дайлер там нигде не упоминается, следовательно - ваши проблемы.

 

P.S. Adept скорее всего просто заблокирован. sudo dpkg --configure -a в консоли

 

В инструкции чётко написано как и что нужно делать. Дайлер там нигде не упоминается, следовательно - ваши проблемы.

 

P.S. Adept скорее всего просто заблокирован. sudo dpkg --configure -a в консоли

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А на мандриве как?

[gavrilberg@kayak ~]$ sudo pon corbina
sudo: pon: command not found
[gavrilberg@kayak ~]$ sudo pptp-command start corbina
no configured tunnels!
[gavrilberg@kayak ~]$ sudo pptp-command
1.) start
2.) stop
3.) setup
4.) quit
What task would you like to do?: 3
1.) Manage CHAP secrets
2.) Manage PAP secrets
3.) List PPTP Tunnels
4.) Add a NEW PPTP Tunnel
5.) Delete a PPTP Tunnel
6.) Configure resolv.conf
7.) Select a default tunnel
8.) Quit
?: 4

Add a NEW PPTP Tunnel.

1.) Other
Which configuration would you like to use?: 1
Tunnel Name: corbina
Server IP: vpn.corbina.net
What route(s) would you like to add when the tunnel comes up?
This is usually a route to your internal network behind the PPTP server.
You can use TUNNEL_DEV and DEF_GW as in /etc/pptp.d/ config file
TUNNEL_DEV is replaced by the device of the tunnel interface.
DEF_GW is replaced by the existing default gateway.
The syntax to use is the same as the route(8) command.
Enter a blank line to stop.
route: <Пропущу, просто для примера>
Local Name and Remote Name should match a configured CHAP or PAP secret.
Local Name is probably your NT domain\username.
NOTE: Any backslashes (\) must be doubled (\\).

Local Name: crstan
Remote Name [PPTP]: 
Adding corbina - vpn.corbina.net - crstan - PPTP
ERROR!  Peer corbina already exists!
1.) Manage CHAP secrets
2.) Manage PAP secrets
3.) List PPTP Tunnels
4.) Add a NEW PPTP Tunnel
5.) Delete a PPTP Tunnel
6.) Configure resolv.conf
7.) Select a default tunnel
8.) Quit
?: 

Т.е. туннель вроде как есть, но вроде как его и нет =)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

здравствуйте, я сделала все как написано в инструкции, но у меня нет соединения с интернетом. не могу открыть браузер. что делать?

 

здравствуйте, я сделала все как написано в инструкции, но у меня нет соединения с интернетом. не могу открыть браузер. что делать?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Т.е. туннель вроде как есть, но вроде как его и нет =)

С мандривой всё сложнее, нужно найти pptp-linux в rpm, затем нужны скрипты /usr/bin/pon и /usr/bin/poff , уже выкладывали на форуме, юзайте поиск) В остальном всё также как в видеоинструкции.

 

здравствуйте, я сделала все как написано в инструкции, но у меня нет соединения с интернетом. не могу открыть браузер. что делать?

давайте по пунктам, опишите детально что и как вы делали, разберемся, где накосячили)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А также как обычный инет, только в /etc/network/intefaces приписать строчки для автозапуска после wifi интерфейса (он может быть как wlan0 или eth1)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

С мандривой всё сложнее, нужно найти pptp-linux в rpm, затем нужны скрипты /usr/bin/pon и /usr/bin/poff , уже выкладывали на форуме, юзайте поиск) В остальном всё также как в видеоинструкции.

Обыскался :D уже.

pptp-linux в rpm в дистрибе есть, кстати, интересно, как я запускал бы pptp-command без этого пакета :D

 

P.S. Можешь отденльно роуты выложить?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

#find /usr/ -name pon

#find /usr/ -name poff

сделайте может и найдётся

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
P.S. Можешь отденльно роуты выложить?

Роуты в архиве лежат в файле corbina-route

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А ничего, что там нет ни моих DNS, ни DHCP?

Или я чего-то непонимаю?

И как добавлять роуты в другой скрипт?

route add -net 10.0.0.0 netmask 255.0.0.0 gw 10.200.16.1

route add -host 195.14.50.93 gw 10.200.16.1

route add -host 195.14.50.21 gw 10.200.16.1

route add -host 195.14.50.26 gw 10.200.16.1

route add -host 195.14.50.16 gw 10.200.16.1

route add -net 85.21.79.0 netmask 255.255.255.0 gw 10.200.16.1

route add -net 85.21.90.0 netmask 255.255.255.0 gw 10.200.16.1

route add -host 85.21.138.208 gw 10.200.16.1

route add -host 85.21.52.254 gw 10.200.16.1

route add -host 85.21.88.130 gw 10.200.16.1

route add -host 78.107.69.98 gw 10.200.16.1

route add -host 83.102.146.96 gw 10.200.16.1

route add -host 89.179.135.67 gw 10.200.16.1

IPs.bmp

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Не понял, в чём трабла? По аналогии добавлять) DNS тебе выдает DHCP, и причем тут DHCP и таблица маршрутов?))

 

Вот тебе оба скрипта - pon и poff:

 

pon:

 

 

#!/bin/sh

 

while [ $# -ge 1 ]; do

case "$1" in

--quick|-q)

QUICK=true

shift

;;

-*)

echo "\

Usage: pon [OPTIONS] [provider] [arguments]

-q|--quick pppd hangs up after all ip-up scripts are run

 

If pon is invoked without arguments, /etc/ppp/ppp_on_boot file will be

run, presuming it exists and is executable. Otherwise, a PPP connection

will be started using settings from /etc/ppp/peers/provider.

If you specify one argument, a PPP connection will be started using

settings from the appropriate file in the /etc/ppp/peers/ directory, and

any additional arguments supplied will be passed as extra arguments to

pppd.

"

exit 0

;;

*)

break

;;

esac

done

 

if [ ! -r /etc/ppp/peers/ ]; then

echo "Error: only members of the 'dip' group can use this command."

exit 1

fi

 

if [ "$1" ]; then

PROVIDER=$1

shift

fi

 

# Perform ppp_on_boot migration from pppoe package.

if [ -L /etc/ppp/ppp_on_boot -a "$(readlink /etc/ppp/ppp_on_boot)" = \

"ppp_on_boot.dsl" -a ! -e /etc/ppp/ppp_on_boot.dsl ]; then

rm -f /etc/ppp/ppp_on_boot

ln -s pppoe_on_boot /etc/ppp/ppp_on_boot

fi

 

if [ -z "$PROVIDER" ]; then

if [ -x /etc/ppp/ppp_on_boot ]; then

[ "$QUICK" ] && touch /var/run/ppp-quick

exec /etc/ppp/ppp_on_boot

fi

# try the default script

PROVIDER=provider

fi

 

if [ ! -e "/etc/ppp/peers/$PROVIDER" ]; then

echo "\

The file /etc/ppp/peers/$PROVIDER does not exist. Please create it or use

a command line argument to use another file in the /etc/ppp/peers/ directory."

exit 1

fi

 

[ "$QUICK" ] && touch /var/run/ppp-quick

exec /usr/sbin/pppd call $PROVIDER "$@"

 

 

 

 

И poff:

 

#!/bin/sh

 

# $Id: poff,v 1.8 1999/08/28 16:34:51 phil Exp $

# Written by John Hasler <john@dhh.gt.org> and based on work

# by Phil Hands <phil@hands.com>. Distributed under the GNU GPL

 

if [ -x /usr/bin/kill ]; then

KILL="/usr/bin/kill"

else

KILL="/bin/kill"

fi

SIG=TERM

DONE="stopped"

MODE=""

 

usage ()

{

cat <<!EOF!

usage: $0 [option] [provider]

options:

-r Cause pppd to drop the line and redial.

-d Toggle the state of pppd's debug option.

-c Cause pppd to renegotiate compression.

-a Stop all pppd's. 'provider' will be ignored.

-h Print this help summary and exit.

-v Print version and exit.

none Stop pppd.

 

Options may not be combined.

 

If 'provider' is omitted pppd will be stopped or signalled if and only if

there is exactly one running unless the '-a' option was given. If

'provider' is supplied the pppd controlling the connection to that

provider will be stopped or signalled.

!EOF!

}

 

# Get option. If there are none replace the "?" that getopts puts in

# FLAG on error with "null".

getopts rdcavh FLAG

if [ "$?" -ne 0 ]; then

FLAG="null"

fi

 

# Check for additional options. Should be none.

getopts :rdcavh DUMMY

if [ "$?" -eq 0 ]; then

echo "$0: Illegal option -- ${OPTARG}."

exit 1

fi

 

case $FLAG in

"r") SIG=HUP; DONE=signalled; shift ;;

"d") SIG=USR1; DONE=signalled; shift ;;

"c") SIG=USR2; DONE=signalled; shift ;;

"a") MODE="all"; shift ;;

"v") echo "$0$Revision: 1.8 $_TrickToPrint_RCS_Revision"; exit 0 ;;

"h") usage; exit 0 ;;

"?") exit 1;

esac

 

# Get the PIDs of all the pppds running. Could also get these from

# /var/run, but pppd doesn't create .pid files until ppp is up.

PIDS=$(pidof pppd)

 

# poff is pointless if pppd isn't running.

if [ -z "$PIDS" ]; then

echo "$0: No pppd is running. None ${DONE}."

exit 1

fi

 

# Find out how many pppd's are running.

N=$(echo "$PIDS" | wc -w)

 

# If there are no arguments we can't do anything if there is more than one

# pppd running.

if [ "$#" -eq 0 -a "$N" -gt 1 -a $FLAG != "a" ]; then

echo "$0: More than one pppd running and no "-a" option and

no arguments supplied. Nothing ${DONE}."

exit 1

fi

 

# If either there are no arguments or '-a' was specified kill all the

# pppd's.

if [ "$#" -eq 0 -o "$MODE" = "all" ]; then

$KILL -$SIG $PIDS || {

echo "$0: $KILL failed. None ${DONE}."

exit 1

}

exit 0

fi

 

# There is an argument, so kill the pppd started on that provider.

PEER=$(echo $1 | sed -e 's#/#\\/#g')

PID=$(ps -o pid,cmd axw | awk "/^ *[0-9]* *(\/usr\/sbin\/)?pppd call $PEER( |\$)/ {print \$1}")

 

if [ "$PID" ]; then

$KILL -$SIG $PID || {

echo "$0: $KILL failed. None ${DONE}."

exit 1

}

else

echo "$0: I could not find a pppd process for provider '$1'. None ${DONE}."

exit 1

fi

 

exit 0

 

 

 

Оба скрипта нужно положить в /usr/bin

Теперь выполняй по пунктам мою инструкцию, только установи pptp-linux.rpm

Должно всё получиться)

Удачи)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

видео не смотрел. но все настроил по описанию (Ubuntu 8.04). спасибо огромное!!!!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

у меня кубунту 8.04 .я жму 2 раза на установщик пптп .жму установить.он начинает грузица потом окно исчезает и все .ниче не устанвилось.помогите пожалуста

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Добавил DNS и DHCP по аналогии.

Сохранил pon и poff.

Сделал им

chmod +x /udr/bin/pon
chmod +x /udr/bin/poff

Если набрать sudo pon corbina, то сеть падает (.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Добавил DNS и DHCP по аналогии.

Что это значит?)) Куда, а главное зачем ты это добавил?) Скажи, где написано в моей инструкции что нужно это добавлять??

 

у меня кубунту 8.04 .я жму 2 раза на установщик пптп .жму установить.он начинает грузица потом окно исчезает и все .ниче не устанвилось.помогите пожалуста

странно.. Криво поставилась кубунта? или просто норм поставилось и окно закрылось?) Попробуй в консоли sudo dpkg -i ~/vpn_prj/pptp-linux.deb

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

auto eth0

iface eth0 inet dhcp

post-up pon corbina

pre-down poff corbina

прописать не удаёца ( post-269548-1212337765_thumb.jpg

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

auto eth0

iface eth0 inet dhcp

post-up pon corbina

pre-down poff corbina

прописать не удаёца ( post-269548-1212337765_thumb.jpg

 

Внимательнее читай инструкцию, проблемы исчезнут. В инструкции ясно сказано, что такие файлы редактируются под рутом с помощью команды sudo.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Помогите разобраться. Посмотрел инструкцию прочел форум, сделал все по инструкции, заработала локальная сеть а инета нет, Где может быть ошибка?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Гость
Эта тема закрыта для публикации сообщений.